<template>
    <div>
        <h2> You are logged out!</h2>
    </div>
</template>

<script>
    export default {
        created(){
            Event.$emit('logout');

            let token = localStorage.getItem('token');
            
            if(!token){
                this.$router.push('/login');
            }

            this.$http.get("http://127.0.0.1:8000/token/destroy?api_token="+token)
            .then(
            response => {
                localStorage.removeItem('token');
                console.log(response);
            },
            error => {
                this.$router.push('/login');
                console.log(error);
            });
        }
    }
</script>